Skip to content
Permalink
Browse files

dcraw: remove code designed to ease the upgrade from ufraw 0.15 to 0.…

…16 15 months ago; see https://trac.macports.org/ticket/29048

git-svn-id: https://svn.macports.org/repository/macports/trunk/dports@77665 d073be05-634f-4543-b044-5fe20cf6d1d6
  • Loading branch information
ryandesign committed Apr 8, 2011
1 parent a66c382 commit cac0a3a778504e9640a885a42b48570f48033e5d
Showing with 0 additions and 20 deletions.
  1. +0 −20 graphics/dcraw/Portfile
@@ -49,26 +49,6 @@ variant universal {
configure.ldflags-append ${configure.universal_ldflags}
}

pre-configure {
# ufraw 0.15 and earlier provided its own copy of dcraw, but 0.16 now
# depends on the dcraw port instead. To prevent activation conflicts
# when upgrading to ufraw 0.16, ensure an old dcraw-providing ufraw
# is not active.
if {[file exists ${prefix}/bin/ufraw]} {
ui_debug "ufraw is installed; determining version"
set ufraw_minimum_version 0.16
set ufraw_installed_version [exec ${prefix}/bin/msgunfmt ${prefix}/share/locale/de/LC_MESSAGES/ufraw.mo | sed -E -n s/^.*Project-Id-Version:\ \(\[0-9.\]+\).*\$/\\1/p]
if {[rpm-vercomp ${ufraw_installed_version} ${ufraw_minimum_version}] < 0} {
ui_debug "ufraw ${ufraw_installed_version} is installed; needs to be deactivated first"
return -code error "Please deactivate your currently-installed ufraw port, then try again"
} else {
ui_debug "ufraw ${ufraw_installed_version} is installed; ok"
}
} else {
ui_debug "ufraw is not installed; ok"
}
}

pre-build {
build.args CC=${configure.cc} \
CFLAGS="[join ${configure.cflags}]" \

0 comments on commit cac0a3a

Please sign in to comment.
You can’t perform that action at this time.